### Method

# EDataServer SourceAutoconfig set_revision

since: 3.24

#### Declaration [src]

    void
    e_source_autoconfig_set_revision (
      ESourceAutoconfig* extension,
      const gchar* revision
    )

#### Description [src]

Sets the revision used to map a particular version of a system-wide source to a user-specific source.

If doesn’t match, the system-wide source will be copied to the user-specific evolution config directory, preserving the already present fields that are not defined by the system-wide source.

If it matches, no copying is done.

The internal copy of `revision` is automatically stripped of leading and trailing whitespace.

Available since: 3.24

Sets property | `EDataServer.SourceAutoconfig:revision`

#### Parameters

`revision`

  Type: `const gchar*`

  A revision.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.